freebsd-ports/www/p5-FCGI-Spawn/pkg-install
Steven Kreuzer 91300f7e73 I forgot to add some new files so the Previous commit was incomplete.
PR:		ports/144262
Submitted by:	Peter Vereshagin <peter@vereshagin.org>
2010-04-14 13:58:53 +00:00

34 lines
560 B
Bash

#!/bin/sh
#
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=fcgi
GROUP=${USER}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} ; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "FastCGI Spawner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0